/*
 The Bluetooth Library for client-server communication
 Copyright (C) 2006 Martin Vysny

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 */
package net.sf.btw.ui;

import net.sf.btw.btlib.ServerInfo;

/**
 * Listens on events from the {@link ConnectorForm}.
 * 
 * @author vyzivus
 * 
 */
public interface IConnectorListener {
	/**
	 * User decided to start a server.
	 */
	void startServer();

	/**
	 * User decided to play a client part and connect to given server.
	 * 
	 * @param info
	 *            the server info to connect to.
	 */
	void connectToServer(final ServerInfo info);

	/**
	 * User decided to close the connection form.
	 */
	void closeConnector();
}
